"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupVitestGenerator = void 0;
const devkit_1 = require("@nx/devkit");
const node_path_1 = require("node:path");
const version_utils_1 = require("../../utils/version-utils");
const add_analog_dependencies_1 = require("./lib/add-analog-dependencies");
const update_tsconfig_1 = require("./lib/update-tsconfig");
const update_test_target_1 = require("./lib/update-test-target");
function addFiles(tree, options) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(options.project);
    const templateOptions = {
        ...options,
        template: '',
    };
    (0, devkit_1.generateFiles)(tree, (0, node_path_1.join)(__dirname, 'files'), projectConfig.root || '.', templateOptions);
}
async function setupVitestGenerator(tree, options) {
    const angularVersion = (0, version_utils_1.getInstalledPackageVersion)(tree, '@angular/core');
    (0, add_analog_dependencies_1.addAnalogDependencies)(tree, angularVersion);
    (0, update_tsconfig_1.updateTsConfig)(tree, options);
    (0, update_test_target_1.updateTestTarget)(tree, options);
    addFiles(tree, options);
    await (0, devkit_1.formatFiles)(tree);
    return () => {
        (0, devkit_1.installPackagesTask)(tree);
    };
}
exports.setupVitestGenerator = setupVitestGenerator;
exports.default = setupVitestGenerator;
//# sourceMappingURL=generator.js.map