"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTsConfig = void 0;
const devkit_1 = require("@nx/devkit");
function updateTsConfig(tree, schema) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(schema.project);
    const tsconfigPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'tsconfig.spec.json');
    if (tree.exists(tsconfigPath)) {
        (0, devkit_1.updateJson)(tree, tsconfigPath, (json) => {
            json.compilerOptions ??= {};
            json.compilerOptions.module = undefined;
            json.compilerOptions.target ??= 'es2016';
            json.files ??= ['src/test-setup.ts'];
            return json;
        }, { expectComments: true, allowTrailingComma: true });
    }
}
exports.updateTsConfig = updateTsConfig;
//# sourceMappingURL=update-tsconfig.js.map